org.keycloak.representations.idm

## Class RealmAuditRepresentation

- java.lang.Object
- - org.keycloak.representations.idm.RealmAuditRepresentation

-     public class RealmAuditRepresentation
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `auditEnabled`
    `protected Long` | `auditExpiration`
    `protected List<String>` | `auditListeners`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RealmAuditRepresentation()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Long` | `getAuditExpiration()`
    `List<String>` | `getAuditListeners()`
    `boolean` | `isAuditEnabled()`
    `void` | `setAuditEnabled(boolean auditEnabled)`
    `void` | `setAuditExpiration(Long auditExpiration)`
    `void` | `setAuditListeners(List<String> auditListeners)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### auditEnabled

          protected boolean auditEnabled

    - #### auditExpiration

          protected Long auditExpiration

    - #### auditListeners

          protected List<String> auditListeners

  - ### Constructor Detail

    - #### RealmAuditRepresentation

          public RealmAuditRepresentation()

  - ### Method Detail

    - #### isAuditEnabled

          public boolean isAuditEnabled()

    - #### setAuditEnabled

          public void setAuditEnabled(boolean auditEnabled)

    - #### getAuditExpiration

          public Long getAuditExpiration()

    - #### setAuditExpiration

          public void setAuditExpiration(Long auditExpiration)

    - #### getAuditListeners

          public List<String> getAuditListeners()

    - #### setAuditListeners

          public void setAuditListeners(List<String> auditListeners)

Copyright © 2014. All Rights Reserved.